SPlayer1Control = Core.class()

function SPlayer1Control:init(xtiny) -- tiny function
	xtiny.system(self) -- called only once on init (no update)
end

function SPlayer1Control:filter(ent) -- tiny function
	return ent.isplayer1
end

function SPlayer1Control:onAdd(ent) -- tiny function
	stage:addEventListener(Event.KEY_DOWN, function(e) -- is the stage best?
		if e.keyCode == KeyCode.LEFT then ent.isleft = true end
		if e.keyCode == KeyCode.RIGHT then ent.isright = true end
		if e.keyCode == KeyCode.UP then ent.isup = true end
		if e.keyCode == KeyCode.DOWN then ent.isdown = true end
		if e.keyCode == KeyCode.D then
			ent.animation.frame = 0
			ent.isaction1 = true
		end
		if e.keyCode == KeyCode.S then
			ent.animation.frame = 0
			ent.isaction2 = true
		end
		if e.keyCode == KeyCode.C then
			ent.animation.frame = 0
			ent.isaction3 = true
		end
		if e.keyCode == KeyCode.W then -- jump action 1
			if not ent.isjumpaction1 then
				ent.wasup, ent.wasdown = ent.isup, ent.isdown
--				print(ent.wasup, ent.wasdown)
				ent.animation.frame = 0
				ent.positionystart = ent.y
				ent.body.isgoingup = true
				ent.isjumpaction1 = true
			end
		end
		if e.keyCode == KeyCode.P then ent.ispaused = not ent.ispaused end
	end)
	stage:addEventListener(Event.KEY_UP, function(e) -- is the stage best?
		if e.keyCode == KeyCode.LEFT then ent.isleft = false end
		if e.keyCode == KeyCode.RIGHT then ent.isright = false end
		if e.keyCode == KeyCode.UP then ent.isup = false end
		if e.keyCode == KeyCode.DOWN then ent.isdown = false end
		if e.keyCode == KeyCode.D then ent.isaction1 = false end
		if e.keyCode == KeyCode.S then ent.isaction2 = false end
		if e.keyCode == KeyCode.C then ent.isaction3 = false end
--		if e.keyCode == KeyCode.W then ent.isjumpaction1 = false end
	end)
end
