SAI = Core.class()

function SAI:init(xtiny, xplayer1) -- tiny function
	xtiny.processingSystem(self) -- called once on init and every update
	self.player1 = xplayer1
end

function SAI:filter(ent) -- tiny function
	return ent.ai
end

function SAI:onAdd(ent) -- tiny function
end

function SAI:onRemove(ent) -- tiny function
end

function SAI:process(ent, dt) -- tiny function
	-- move
	if ent.ai.dx and ent.ai.dy then -- DIAGONAL
		if ent.x >= ent.ai.startpositionx + ent.ai.dx then
			ent.isleft, ent.isright = true, false
			ent.isup, ent.isdown = true, false
		elseif ent.x <= ent.ai.startpositionx then
			ent.isleft, ent.isright = false, true
			ent.isup, ent.isdown = false, true
		end
	elseif ent.ai.dx then -- HORIZONTAL
		if ent.x >= ent.ai.startpositionx + ent.ai.dx then
			ent.isleft, ent.isright = true, false
		elseif ent.x <= ent.ai.startpositionx then
			ent.isleft, ent.isright = false, true
		end
	elseif ent.ai.dy then -- VERTICAL
		if ent.y >= ent.ai.startpositiony + ent.ai.dy then
			ent.isup, ent.isdown = true, false
		elseif ent.y <= ent.ai.startpositiony then
			ent.isup, ent.isdown = false, true
		end
	end
	-- action1
--	ent.isaction1 = false
	if not (ent.flip == self.player1.flip) then -- player1 and nme are facing
--		if (ent.x > self.player1.x) and (ent.x < self.player1.x + self.player1.w*0.5) then
		if (ent.x > self.player1.x) and (ent.x < self.player1.x + self.player1.w) then
			ent.currpunchtimer -= 1
			if ent.currpunchtimer <= 0 then
				ent.isaction1 = true
				ent.currpunchtimer = ent.punchtimer
			end
		end
	else -- player1 and nme are not facing
--		if (ent.x > self.player1.x - self.player1.w*0.5) and (ent.x < self.player1.x) then
		if (ent.x > self.player1.x - self.player1.w*0.75) and (ent.x < self.player1.x) then
			ent.currpunchtimer -= 1
			if ent.currpunchtimer <= 0 then
--				ent.isaction1 = true
				ent.isaction3 = true
				ent.currpunchtimer = ent.punchtimer
			end
		end
	end
end
