-- game
g_currlevel = 2
g_gravity = 2.1 -- 6, 9.8
g_currgravity = g_gravity

-- anims, faster accessed via int than string
local i = 1
g_ANIM_DEFAULT = i
i += 1
g_ANIM_IDLE_L = i
i += 1
g_ANIM_IDLE_R = i
i += 1
g_ANIM_WALK_L = i
i += 1
g_ANIM_WALK_R = i
i += 1
g_ANIM_RUN_L = i
i += 1
g_ANIM_RUN_R = i
i += 1
g_ANIM_JUMPUP_L = i
i += 1
g_ANIM_JUMPUP_R = i
i += 1
g_ANIM_JUMPDOWN_L = i
i += 1
g_ANIM_JUMPDOWN_R = i
i += 1
g_ANIM_LADDERIDLE_L = i
i += 1
g_ANIM_LADDERIDLE_R = i
i += 1
g_ANIM_LADDERUP_L = i
i += 1
g_ANIM_LADDERUP_R = i
i += 1
g_ANIM_LADDERDOWN_L = i
i += 1
g_ANIM_LADDERDOWN_R = i
i += 1
g_ANIM_WIN_L = i
i += 1
g_ANIM_WIN_R = i
i += 1
g_ANIM_ATTACK1_L = i
i += 1
g_ANIM_ATTACK1_R = i
i += 1
g_ANIM_ATTACK2_L = i
i += 1
g_ANIM_ATTACK2_R = i
i += 1
g_ANIM_ATTACK3_L = i
i += 1
g_ANIM_ATTACK3_R = i
i += 1
g_ANIM_JUMP_ATTACK1_L = i
i += 1
g_ANIM_JUMP_ATTACK1_R = i
i += 1
g_ANIM_LOSE1_L = i
i += 1
g_ANIM_LOSE1_R = i
i += 1
g_ANIM_LOSE2_L = i
i += 1
g_ANIM_LOSE2_R = i
i += 1
g_ANIM_STOMP_L = i
i += 1
g_ANIM_STOMP_R = i

-- scene manager
scenemanager = SceneManager.new(
	{
		["menu"] = Menu,
		["levelX"] = LevelX,
	}
)
stage:addChild(scenemanager)
scenemanager:changeScene("menu")

-- transitions & easings
transitions = {
	SceneManager.moveFromRight, -- 1
	SceneManager.moveFromLeft, -- 2
	SceneManager.moveFromBottom, -- 3
	SceneManager.moveFromTop, -- 4
	SceneManager.moveFromRightWithFade, -- 5
	SceneManager.moveFromLeftWithFade, -- 6
	SceneManager.moveFromBottomWithFade, -- 7
	SceneManager.moveFromTopWithFade, -- 8
	SceneManager.overFromRight, -- 9
	SceneManager.overFromLeft, -- 10
	SceneManager.overFromBottom, -- 11
	SceneManager.overFromTop, -- 12
	SceneManager.overFromRightWithFade, -- 13
	SceneManager.overFromLeftWithFade, -- 14
	SceneManager.overFromBottomWithFade, -- 15
	SceneManager.overFromTopWithFade, -- 16
	SceneManager.fade, -- 17
	SceneManager.crossFade, -- 18
	SceneManager.flip, -- 19
	SceneManager.flipWithFade, -- 20
	SceneManager.flipWithShade, -- 21
}
easings = {
	easing.inBack, -- 1
	easing.outBack, -- 2
	easing.inOutBack, -- 3
	easing.inBounce, -- 4
	easing.outBounce, -- 5
	easing.inOutBounce, -- 6
	easing.inCircular, -- 7
	easing.outCircular, -- 8
	easing.inOutCircular, -- 9
	easing.inCubic, -- 10
	easing.outCubic, -- 11
	easing.inOutCubic, -- 12
	easing.inElastic, -- 13
	easing.outElastic, -- 14
	easing.inOutElastic, -- 15
	easing.inExponential, -- 16
	easing.outExponential, -- 17
	easing.inOutExponential, -- 18
	easing.linear, -- 19
	easing.inQuadratic, -- 20
	easing.outQuadratic, -- 21
	easing.inOutQuadratic, -- 22
	easing.inQuartic, -- 23
	easing.outQuartic, -- 24
	easing.inOutQuartic, -- 25
	easing.inQuintic, -- 26
	easing.outQuintic, -- 27
	easing.inOutQuintic, -- 28
	easing.inSine, -- 29
	easing.outSine, -- 30
	easing.inOutSine, -- 31
}
